# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI=7
PYTHON_COMPAT=( python{3_6,3_7,3_8} )
DISTUTILS_USE_SETUPTOOLS="rdepend"

COMMIT="9f6ee5cc4db61b170639c54db3c92cfe89e82e65"

inherit distutils-r1

DESCRIPTION="Lektor Atom plugin."
HOMEPAGE="https://www.getlektor.com/plugins/lektor-atom/"
SRC_URI="https://github.com/lektor/${PN}/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"

LICENSE="AGPL-3"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""

DEPEND="www-apps/lektor
	dev-python/feedgenerator[${PYTHON_USEDEP}]
	dev-python/markupsafe[${PYTHON_USEDEP}]"
RDEPEND=""

DOCS=( CHANGELOG.md README.md )

S=${WORKDIR}/${PN}-${COMMIT}
